#if !defined(__clsxpr2a_h)              // Sentry, use file only if it's not already included.
#define __clsxpr2a_h

/*  Project clsxprt2
    
    Copyright  1993. All Rights Reserved.

    SUBSYSTEM:    clsxprt2.exe Application
    FILE:         clsxpr2a.h
    AUTHOR:       


    OVERVIEW
    ========
    Class definition for clsxprt2App (TApplication).      
*/


#include <owl\owlpch.h>
#pragma hdrstop

#include <owl\editfile.h>
#include <owl\opensave.h>

#include "clsxpr2a.rh"            // Definition of all resources.


//{{TApplication = clsxprt2App}}
class clsxprt2App : public TApplication {

  // declare friend class

private:
    TEditFile *Client;                                 // Client window for the frame.
    TOpenSaveDialog::TData FileData;                    // Data to control open/saveas standard dialog.

public:
    // new nested enumerated type
    enum dateFormat { mmddyy, ddmmyy, yymmdd };

    clsxprt2App ();
    virtual ~clsxprt2App ();

    void OpenFile (const char *fileName = 0);
//{{clsxprt2AppVIRTUAL_BEGIN}}
public:
    virtual void InitMainWindow();
//{{clsxprt2AppVIRTUAL_END}}

//{{clsxprt2AppRSP_TBL_BEGIN}}
protected:
    BOOL IsAmPm;
    dateFormat df;

    void CmFileNew ();
    void CmFileOpen ();
    void CmFileClose ();
    void CmHelpAbout ();
    void CmInsertDateTime ();
    void CmInsertTime ();
    void CmLowercase ();
    void CmReverse ();
    void CmUppercase ();
    void CmDateTimeFormat ();
    void CmPreferences ();
    void InsertDateTime ();
    void CmInsertDate ();
//{{clsxprt2AppRSP_TBL_END}}
  DECLARE_RESPONSE_TABLE(clsxprt2App);
};    //{{clsxprt2App}}


#endif                                      // __clsxpr2a_h sentry.
